+ Post New Thread
Page 11 of 633 FirstFirst ... 9 10 11 12 13 21 61 111 511 ... LastLast
Threads 251 to 275 of 15820

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 82,507
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 71,254
    18th Sep 2006 10:46 pm Go to last post
  1. Compare 2 lists of entities on equal coordinates

    Hi, I want to to compare a list of LWPolyline entities with a list of Circle entities: If the LWpolyline end point vertice XY coordinate matches a circle center coordinate XY. Then write layer...

    Started by gsc‎, 11th Sep 2017 12:08 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 592
    14th Sep 2017 03:55 pm Go to last post
  2. Simplify lisp, select object, change color (index/truecolor/colorbook)

    Hello all, I managed to build a lisp, that allows me to select a line, polyline, arc or circle of an Xref, and change the layercolor of that xref's-layer to a selected color, wich can be a...

    Started by Aftertouch‎, 8th Sep 2017 12:14 pm
    • Replies: 5
    • Views: 534
    13th Sep 2017 04:11 pm Go to last post
  3. Load block library in a lisp

    Hello. Every project I do have the same set of layers, linetypes and blocks. Since I already have some projects made, I usually open an old one, delete every object in the drawing and save with the...

    Started by saim‎, 27th Jul 2017 08:15 pm
    • Replies: 7
    • Views: 1,040
    13th Sep 2017 01:08 pm Go to last post
  4. Filename in Field Form

    Hi again, I need help. I want the user to pick a TEXT, MTEXT or Attribute and the lisp will input the Filename of the drawing in Field form as value (without the filename extension .dwg) ...

    Started by CAD_Noob‎, 12th Sep 2017 04:26 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 584
    13th Sep 2017 09:06 am Go to last post
  5. Copying and Increasing attributes

    Hi there. Is there anyway to increase an atributte when copying some text. Like, I oftenly need to number walls on drawings. So, like, I copy the text EW 01 (exterior wall 01) and when I paste it,...

    Started by bagulhodoido‎, 22nd Feb 2010 02:07 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 11,055
    12th Sep 2017 11:22 pm Go to last post
  6. F2 function as lisp command

    This may be a rather lame question but how can I bring up the "Autocad Text Window" using autolisp instead of the 'manual' F2 key? The idea is to throw a couple of prompt commands to report...

    Started by MJLM‎, 3rd Jul 2014 12:34 pm
    3 Pages
    1 2 3
    • Replies: 29
    • Views: 7,317
    12th Sep 2017 04:39 pm Go to last post
  7. Extract object from external referance file

    Is there a method to copy or trace the objects (LINES) from the attached file ?

    Started by wimal‎, 12th Sep 2017 09:16 am
    • Replies: 4
    • Views: 380
    12th Sep 2017 03:48 pm Go to last post
  8. Find Civil3D Parcel Area with Lisp

    Hello all, I seem to be able to find all kinds of information of a 'Civil3D Parcel' with Lisp functions. But for some reason i cannot extract the parcel 'Area' and Perimeter for some reason....

    Started by Aftertouch‎, 11th Sep 2017 11:46 am
    • Replies: 4
    • Views: 306
    12th Sep 2017 03:00 pm Go to last post
  9. Move point perpendicular to line

    Hello, I've this code to move some AcadPoints tPerpendicular of one 2DPolyline. The problem: I've this points with Z value, when i run the code this points goes perpendicular to line but with...

    Started by lkrkck‎, 12th Sep 2017 02:00 pm
    • Replies: 1
    • Views: 261
    12th Sep 2017 02:37 pm Go to last post
  10. Dynamic Block Selection

    Hi Guys, I have had a crack at my first lisp from the start with a focus on ssget and I'm pleased with the result. What I have failed to achieve however is that it only works on normal blocks or...

    Started by Zuke‎, 12th Sep 2017 04:49 am
    • Replies: 1
    • Views: 371
    12th Sep 2017 01:26 pm Go to last post
  11. solve LISP issue

    I try to the lisp attached to draw graph,but when I run the lisp it stops with a message "data file graph.csv not found.Could anybody please help me to solve the issue. Prakash.

    Started by prakash25571‎, 3rd Nov 2016 07:36 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 3,021
    12th Sep 2017 01:20 pm Go to last post
  12. Add string to string

    Hi guys, Is there anyway to add string to string? For example: Command: !number1 (my lisp have already set number1 as 001) "001" (return 001 as set) Now I want to add SC to 001 to be...

    Started by leong1221‎, 10th Sep 2017 08:12 pm
    • Replies: 2
    • Views: 307
    12th Sep 2017 03:01 am Go to last post
  13. Question What do .def file contain? How to create/edit them?

    I was looking at the ANSI B16.5 Flanges Lisp thread that was donated by The Buzzard (true Lisp Ninja) and I'm wondering if someone can explain exactly what are the .def files he included as part of...

    Started by LosGirk‎, 11th Sep 2017 09:33 pm
    • Replies: 0
    • Views: 267
    11th Sep 2017 09:33 pm Go to last post
  14. AutoLISP or Visual LISP?

    Which would be better when a both functions exist for the same command? Question comes from the fact that I'm recovering old-but-useful routines written for AutoCAD R14, and I would like to reduce...

    Started by guigonse‎, 9th Sep 2017 10:24 pm
    older to latest version
    • Replies: 2
    • Views: 384
    11th Sep 2017 05:25 pm Go to last post
  15. Question Insert Dividing Points between pick points

    Hi Friends, i need small automation for inserting points with specified division. here i need two types of points. one is Top Points, second one is Bottom points. procedure as below: 1)Enter...

    Started by structo‎, 10th Sep 2017 03:04 pm
    • Replies: 2
    • Views: 367
    11th Sep 2017 06:51 am Go to last post
  16. Pipe diameter "DN" attributed text converting

    hello I have a simple question related with pipe DN that I need to lisp. I want to convert attributed text to another text In the attached file. there's two text in blocks. DN and its load on...

    Started by no_comment‎, 9th Sep 2017 12:41 pm
    • Replies: 1
    • Views: 323
    10th Sep 2017 12:47 am Go to last post
  17. Smile Bock won't update after processing via lisp

    Greetings every one i have a block and i want to scale its subentities by using (setq acdoc (vla-get-ActiveDocument (vlax-get-acad-object)) blocks (vla-get-Blocks acdoc))

    Started by handasa‎, 8th Sep 2017 09:50 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 508
    9th Sep 2017 07:45 pm Go to last post
  18. Turn off annotative property for a block

    GREETINGS EVERYONE ; i am looking for a method to set the annotative block property to "NO" without using the bedit command i tried : (vla-put-Annotative (vlax-ename->vla-object (car...

    Started by handasa‎, 8th Sep 2017 02:22 pm
    • Replies: 6
    • Views: 403
    9th Sep 2017 07:47 am Go to last post
  19. MText to Attribute

    Is there a quicker way to convert formatted MTEXT to ATTRIBUTES? Room Tags from drawings exported from Revit appears as MTEXT and we need to convert it into our standard room tag attribute...

    Started by CAD_Noob‎, 5th Sep 2017 08:11 am
    4 Pages
    1 2 3 ... 4
    • Replies: 37
    • Views: 1,505
    8th Sep 2017 09:42 pm Go to last post
  20. alternative find lisp

    ENJOY

    Started by badabumba‎, 8th Sep 2017 05:41 pm
    • Replies: 0
    • Views: 88
    8th Sep 2017 05:41 pm Go to last post
  21. Posing & Alternative Quick Find and Zoom lisp

    hi there i'm Eren this is my learning project for myself. So it's experimental. i combined lots of code that i've been take from multiple forums and sites. command: POZ

    Started by badabumba‎, 7th Sep 2017 08:50 pm
    • Replies: 0
    • Views: 80
    7th Sep 2017 08:50 pm Go to last post
  22. LISP for creating MLeader Style

    Hello, I was wondering if anyone is able to create an MLeader style based on the parametrs below and set it to the current Mleader style in LSP code? Also could the new MLeader style be named...

    Started by ryankevin15‎, 6th Sep 2017 04:48 pm
    2 Pages
    1 2
    autocad, create, lsp, mleader, mleader style
    • Replies: 12
    • Views: 776
    7th Sep 2017 07:17 pm Go to last post
  23. Question LISP modification request...

    Hi all, I came across a LISP routine that freezes the layer of any selected object. It works great but I want it to viewport freeze layers, not freeze for the entire drawing. This is where I...

    Started by subdVision‎, 7th Sep 2017 06:29 pm
    • Replies: 0
    • Views: 159
    7th Sep 2017 06:29 pm Go to last post
  24. Identify european or american System

    I am currently working in Austria but I have to exchange information with office from different parts of the world. Most european countries are using a point (.) as a thousand separator, and a comma...

    Started by svorgodne‎, 6th Sep 2017 02:49 pm
    • Replies: 2
    • Views: 366
    7th Sep 2017 08:44 am Go to last post
  25. AutoCAD PLAN (that does not zoom out)

    Many of my collegues find it usefull to work with ucsfollow=1 Personally, i'm not a great fan because it makes me zoom to many times when UCS is adjusted. Also PLAN is also a major pita in this...

    Started by halam‎, 1st Sep 2017 12:42 pm
    • Replies: 7
    • Views: 712
    6th Sep 2017 10:13 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts